import SquareBox from '@/components/ScreenBox/SquareBox';
import TitleBox from '@/components/ScreenBox/TitleBox';
import { Column } from '@ant-design/plots';
// import ba from './a.png'

export default (props) => {
  const data = [
    {
      name: '预约',
      NongType: '预约.',
      sum: 18,
    },
    {
      name: '作业',
      NongType: '作业.',
      sum: 28,
    },
    {
      name: '闲置',
      NongType: '闲置.',
      sum: 100,
    },
    {
      name: '离线',
      NongType: '离线',
      sum: 181,
    },
    {
      name: '维修',
      NongType: '维修',
      sum: 147,
    },
  ];
  const config = {
    data,
    isGroup: true,
    xField: 'NongType',
    yField: 'sum',
    seriesField: 'name',
    color: [
      'l(270) 0:rgba(225,225,225,0.0) 1:#F5CC5C',
      'l(270) 0:rgba(225,225,225,0.0) 1:#44F68B',
      'l(270) 0:rgba(225,225,225,0.0) 1:#51D4FF',
      'l(270) 0:rgba(225,225,225,0.0) 1:#B8B2A9',
      'l(270) 0:rgba(225,225,225,0.0) 1:#F55226'],
    minColumnWidth: 26,
    columnStyle: {
      // fill: 'l(270) 0:rgba(225,225,225,0.0) 1:#FB9900',
    },


    /** 设置间距 */
    // marginRatio: 0.1,
    label: {
      // 'top', 'middle', 'bottom'
      // 可配置附加的布局方法
      layout: [
        // 柱形图数据标签位置自动调整
        {
          // type: 'interval-adjust-position',
        }, // 数据标签防遮挡
        {
          // type: 'interval-hide-overlap',
        }, // 数据标签文颜色自动调整
        {
          // type: 'adjust-color',
        },
      ],
    },
  };

  return (
    <div>
      <TitleBox value="农机状态统计" />
      <SquareBox>
        <Column {...config} />
      </SquareBox>
    </div>
  );
};
